# OgreMath.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::Radian
| Wrapper class which indicates a given angle value is in Radians. More...
class | Ogre::Degree
| Wrapper class which indicates a given angle value is in Degrees. More...
class | Ogre::Angle
| Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit. More...
class | Ogre::Math
| Class to provide access to common mathematical functions. More...

## Functions

Radian | Ogre::operator * (Real a, const Radian &b)
Radian | Ogre::operator/ (Real a, const Radian &b)
Degree | Ogre::operator * (Real a, const Degree &b)
Degree | Ogre::operator/ (Real a, const Degree &b)

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:05 2008